"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createLintConfig = void 0;
var tslib_1 = require("tslib");
var path_1 = tslib_1.__importDefault(require("path"));
exports.createLintConfig = function (dir) {
    var settings = {
        'import/resolver': {
            node: {
                paths: [path_1.default.resolve(dir, 'src')],
                extensions: ['.js', '.jsx', '.ts', '.tsx']
            }
        },
        'import/parsers': {
            '@typescript-eslint/parser': ['.ts', '.tsx']
        },
        react: {
            version: 'detect'
        }
    };
    var ignorePatterns = ['*.*ss'];
    var extendsConfig = [
        'eslint:recommended',
        'react-app',
        'prettier',
        'prettier/react',
        'prettier/@typescript-eslint',
        'plugin:prettier/recommended',
        'plugin:react/recommended',
        'plugin:import/errors',
        'plugin:import/warnings',
        'plugin:import/typescript',
        'plugin:@typescript-eslint/recommended'
    ];
    var rules = {
        'import/no-unresolved': 0
    };
    return {
        settings: settings,
        ignorePatterns: ignorePatterns,
        extends: extendsConfig,
        rules: rules
    };
};
