"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serveWorkspace = void 0;
var tslib_1 = require("tslib");
var rollup_1 = require("rollup");
var utils_1 = require("../../shared/utils");
var messages_1 = require("../../shared/messages");
var build_config_1 = require("./configs/build.config");
var fs_utils_1 = require("../../shared/utils/fs.utils");
exports.serveWorkspace = function (dir) { return tslib_1.__awaiter(void 0, void 0, void 0, function () {
    var packageJson, tsconfigJson, buildConfig, isFirstChange;
    return tslib_1.__generator(this, function (_a) {
        switch (_a.label) {
            case 0: return [4 /*yield*/, fs_utils_1.readPackageJson(dir)];
            case 1:
                packageJson = _a.sent();
                return [4 /*yield*/, fs_utils_1.readTsconfigJson(dir)];
            case 2:
                tsconfigJson = _a.sent();
                buildConfig = build_config_1.createBuildConfig({
                    tsconfigJson: tsconfigJson,
                    packageJson: packageJson,
                    displayFilesize: false,
                    runEslint: false,
                    useClosure: false
                });
                isFirstChange = true;
                return [4 /*yield*/, utils_1.cleanDistFolder()];
            case 3:
                _a.sent();
                return [2 /*return*/, new Promise(function (resolve) {
                        rollup_1.watch(buildConfig).on('event', function (event) { return tslib_1.__awaiter(void 0, void 0, void 0, function () {
                            return tslib_1.__generator(this, function (_a) {
                                if (event.code === 'BUNDLE_START') {
                                    utils_1.clearConsole();
                                    console.log(messages_1.serveMessage.introduce());
                                    console.log(messages_1.serveMessage.bundles(packageJson));
                                    console.log(messages_1.serveMessage.compiling());
                                }
                                if (event.code === 'ERROR') {
                                    console.log(messages_1.serveMessage.failed());
                                    utils_1.logError(event.error);
                                }
                                if (event.code === 'BUNDLE_END') {
                                    console.log(messages_1.serveMessage.compiled(isFirstChange));
                                    console.log(messages_1.serveMessage.bundled({
                                        isFirstChange: isFirstChange,
                                        module: packageJson.module,
                                        duration: event.duration
                                    }));
                                }
                                if (event.code === 'END') {
                                    isFirstChange = false;
                                    console.log(messages_1.serveMessage.watching());
                                    resolve();
                                }
                                return [2 /*return*/];
                            });
                        }); });
                    })];
        }
    });
}); };
