"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.testBinCommand = void 0;
var tslib_1 = require("tslib");
var fs_extra_1 = tslib_1.__importDefault(require("fs-extra"));
var path_1 = tslib_1.__importDefault(require("path"));
var jest_1 = tslib_1.__importDefault(require("jest"));
var utils_1 = require("../../shared/utils");
var test_config_1 = require("./configs/test.config");
var package_const_1 = require("../../shared/constants/package.const");
var test_helpers_1 = require("./test.helpers");
exports.testBinCommand = function (prog) {
    prog
        .command('test')
        .describe('Test a package')
        .alias('t')
        .option('config', 'Specify a path to the jest config')
        .action(function (opts) { return tslib_1.__awaiter(void 0, void 0, void 0, function () {
        var packageDir, packageJsonPath, jestConfigOptions, jestPackageOptions, testConfig;
        return tslib_1.__generator(this, function (_a) {
            switch (_a.label) {
                case 0:
                    test_helpers_1.setTestNodeVariables();
                    return [4 /*yield*/, utils_1.findWorkspacePackageDir()];
                case 1:
                    packageDir = _a.sent();
                    packageJsonPath = path_1.default.resolve(packageDir, package_const_1.PACKAGE_JSON);
                    return [4 /*yield*/, test_helpers_1.getJestConfigOptions(packageDir, opts.config)];
                case 2:
                    jestConfigOptions = _a.sent();
                    return [4 /*yield*/, fs_extra_1.default.readJSON(packageJsonPath)];
                case 3:
                    jestPackageOptions = (_a.sent()).jest;
                    testConfig = test_config_1.createTestConfig({
                        rootDir: packageDir,
                        jestPackageOptions: jestPackageOptions,
                        jestConfigOptions: jestConfigOptions
                    });
                    jest_1.default.run(tslib_1.__spread(process.argv.slice(3), [
                        '--config',
                        JSON.stringify(tslib_1.__assign({}, testConfig))
                    ]));
                    return [2 /*return*/];
            }
        });
    }); });
};
