"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.setTestNodeVariables = exports.getJestConfigOptions = void 0;
var tslib_1 = require("tslib");
var path_1 = tslib_1.__importDefault(require("path"));
var fs_extra_1 = tslib_1.__importDefault(require("fs-extra"));
exports.getJestConfigOptions = function (packageDir, config) { return tslib_1.__awaiter(void 0, void 0, void 0, function () {
    var jestConfigPathOption, filenameSegments, isJavaScript, _a, jestConfigPathJS, jestConfigPathJSON, _b;
    return tslib_1.__generator(this, function (_c) {
        switch (_c.label) {
            case 0:
                _c.trys.push([0, 8, , 9]);
                if (!config) return [3 /*break*/, 4];
                jestConfigPathOption = path_1.default.resolve(packageDir, config);
                process.argv.splice(process.argv.indexOf('--config'), 2);
                filenameSegments = config.split('.');
                isJavaScript = filenameSegments[filenameSegments.length - 1] === 'js';
                if (!isJavaScript) return [3 /*break*/, 1];
                _a = require(jestConfigPathOption);
                return [3 /*break*/, 3];
            case 1: return [4 /*yield*/, fs_extra_1.default.readJSON(jestConfigPathOption)];
            case 2:
                _a = _c.sent();
                _c.label = 3;
            case 3: return [2 /*return*/, _a];
            case 4:
                jestConfigPathJS = path_1.default.resolve(packageDir, "jest.config.js");
                jestConfigPathJSON = path_1.default.resolve(packageDir, "jest.config.json");
                if (!fs_extra_1.default.existsSync(jestConfigPathJS)) return [3 /*break*/, 5];
                return [2 /*return*/, require(jestConfigPathJS)];
            case 5:
                if (!fs_extra_1.default.existsSync(jestConfigPathJSON)) return [3 /*break*/, 7];
                return [4 /*yield*/, fs_extra_1.default.readJSON(jestConfigPathJSON)];
            case 6: return [2 /*return*/, _c.sent()];
            case 7: return [3 /*break*/, 9];
            case 8:
                _b = _c.sent();
                return [3 /*break*/, 9];
            case 9: return [2 /*return*/, {}];
        }
    });
}); };
exports.setTestNodeVariables = function () {
    process.env.NODE_ENV = 'test';
    process.env.BABEL_ENV = 'test';
};
