#!/usr/bin/env node
"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var sade_1 = tslib_1.__importDefault(require("sade"));
var submodules_bins_1 = require("./submodules/submodules.bins");
var workspaces_bins_1 = require("./workspaces/workspaces.bins");
var migration_bins_1 = require("./migration/migration.bins");
var scaffolding_bins_1 = require("./scaffolding/scaffolding.bins");
var execution_bins_1 = require("./execution/execution.bins");
var messages_1 = require("../shared/messages");
var package_json_1 = tslib_1.__importDefault(require("../../package.json"));
var prog = sade_1.default('re-space');
console.log(messages_1.TITLE_CLI);
execution_bins_1.executionBins(prog);
migration_bins_1.migrationBins(prog);
scaffolding_bins_1.scaffoldingBins(prog);
submodules_bins_1.submodulesBins(prog);
workspaces_bins_1.workspacesBins(prog);
prog.version(package_json_1.default.version).parse(process.argv);
