"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.copyIndependencyTemplate = exports.makePackageJsonIndependent = exports.makeTsconfigJsonIndependent = void 0;
var tslib_1 = require("tslib");
var fs_extra_1 = tslib_1.__importDefault(require("fs-extra"));
var path_1 = tslib_1.__importDefault(require("path"));
var setup_1 = require("./setup");
var package_const_1 = require("../../shared/constants/package.const");
var fs_utils_1 = require("../../shared/utils/fs.utils");
var removeNestedNodeModulesTypes = function (typeRoots) {
    var _a;
    var types = 'node_modules/@types';
    var updatedTypeRoots = [types];
    if (typeRoots !== undefined) {
        var filtered = (_a = typeRoots.filter(function (typeRoot) { return !typeRoot.includes(types); })) !== null && _a !== void 0 ? _a : [];
        updatedTypeRoots.push.apply(updatedTypeRoots, tslib_1.__spread(filtered));
    }
    return updatedTypeRoots;
};
exports.makeTsconfigJsonIndependent = function (dir) { return tslib_1.__awaiter(void 0, void 0, void 0, function () {
    var tsconfigJson, updatedTsconfigJson, tsconfigPath;
    return tslib_1.__generator(this, function (_a) {
        switch (_a.label) {
            case 0: return [4 /*yield*/, fs_utils_1.readTsconfigJson(dir)];
            case 1:
                tsconfigJson = _a.sent();
                updatedTsconfigJson = tslib_1.__assign({}, tsconfigJson);
                tsconfigPath = path_1.default.resolve(dir, package_const_1.TSCONFIG_JSON);
                if (updatedTsconfigJson.compilerOptions !== undefined) {
                    updatedTsconfigJson.compilerOptions.typeRoots = removeNestedNodeModulesTypes(updatedTsconfigJson.compilerOptions.typeRoots);
                }
                return [2 /*return*/, fs_extra_1.default.outputJSON(tsconfigPath, updatedTsconfigJson, { spaces: 2 })];
        }
    });
}); };
exports.makePackageJsonIndependent = function (dir) { return tslib_1.__awaiter(void 0, void 0, void 0, function () {
    var packageJsonPath, packageJson;
    var _a, _b;
    return tslib_1.__generator(this, function (_c) {
        switch (_c.label) {
            case 0:
                packageJsonPath = path_1.default.resolve(dir, package_const_1.PACKAGE_JSON);
                return [4 /*yield*/, fs_utils_1.readPackageJson(dir)];
            case 1:
                packageJson = _c.sent();
                return [4 /*yield*/, fs_extra_1.default.outputJSON(packageJsonPath, tslib_1.__assign(tslib_1.__assign({}, packageJson), { dependencies: tslib_1.__assign(tslib_1.__assign({}, ((_a = packageJson === null || packageJson === void 0 ? void 0 : packageJson.dependencies) !== null && _a !== void 0 ? _a : {})), setup_1.migrationSetup.independency.dependencies), devDependencies: tslib_1.__assign(tslib_1.__assign({}, ((_b = packageJson === null || packageJson === void 0 ? void 0 : packageJson.devDependencies) !== null && _b !== void 0 ? _b : {})), setup_1.migrationSetup.independency.devDependencies) }), { spaces: 2 })];
            case 2:
                _c.sent();
                return [2 /*return*/];
        }
    });
}); };
exports.copyIndependencyTemplate = function (dir) {
    return fs_extra_1.default.copy(path_1.default.resolve(__dirname, '../../../../templates/migration/independency'), dir, { overwrite: true, errorOnExist: false });
};
