"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.addFeatureScriptsToPackageJson = exports.copyFeatureTemplate = exports.validateFeatureOption = void 0;
var tslib_1 = require("tslib");
var fs_extra_1 = tslib_1.__importDefault(require("fs-extra"));
var path_1 = tslib_1.__importDefault(require("path"));
var enquirer_1 = require("enquirer");
var utils_1 = require("../../shared/utils");
var add_1 = require("./setup/add");
exports.validateFeatureOption = function (featureName, options, onInvalid) {
    if (onInvalid === void 0) { onInvalid = utils_1.noop; }
    if (featureName in add_1.featureSetup) {
        return Promise.resolve(featureName);
    }
    onInvalid();
    var featureNamePrompt = new enquirer_1.Select({
        message: 'Choose a feature',
        choices: options.map(function (option) { return ({
            name: option,
            message: utils_1.color.info(option)
        }); })
    });
    return featureNamePrompt.run();
};
exports.copyFeatureTemplate = function (packageDir, option) {
    return fs_extra_1.default.copy(path_1.default.resolve(__dirname, "../../../../templates/add/" + option), path_1.default.resolve(packageDir, add_1.featureSetup[option].path), { overwrite: false, errorOnExist: true });
};
exports.addFeatureScriptsToPackageJson = function (_a) {
    var dir = _a.dir, packageJson = _a.packageJson, option = _a.option;
    return fs_extra_1.default.outputJSON(dir, tslib_1.__assign(tslib_1.__assign({}, packageJson), { scripts: tslib_1.__assign(tslib_1.__assign({}, packageJson.scripts), add_1.featureSetup[option].scripts) }), { spaces: 2 });
};
