"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var generate_helpers_1 = require("./generate.helpers");
describe('[bins.generate]', function () {
    describe('safePackageName', function () {
        it('should return empty string when string is empty', function () {
            expect(generate_helpers_1.safePackageName('')).toBe('');
        });
        it('should return the same valid name', function () {
            expect(generate_helpers_1.safePackageName('lodash')).toBe('lodash');
        });
        it('should return the same name with "-" delimiter', function () {
            expect(generate_helpers_1.safePackageName('lodash-es')).toBe('lodash-es');
        });
        it('should cut off namespace', function () {
            expect(generate_helpers_1.safePackageName('@angular/core')).toBe('core');
        });
        it('should cut off all "/" delimiters', function () {
            expect(generate_helpers_1.safePackageName('@angular/core/index')).toBe('index');
        });
    });
});
