"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getProjectName = exports.resolveOptions = exports.chooseDifferentPathConfirmation = void 0;
var tslib_1 = require("tslib");
var path_1 = tslib_1.__importDefault(require("path"));
var fs_extra_1 = tslib_1.__importDefault(require("fs-extra"));
var enquirer_1 = require("enquirer");
var scaffolding_helpers_1 = require("./scaffolding.helpers");
var messages_1 = require("../../shared/messages");
var utils_1 = require("../../shared/utils");
exports.chooseDifferentPathConfirmation = function (dir) {
    var decisions = ['Yes', 'No'];
    var decisionMap = {
        Yes: messages_1.newMessage.changeFolder(),
        No: messages_1.newMessage.leaveCurrentFolder()
    };
    var select = new enquirer_1.Select({
        message: utils_1.color.error("Would you like to choose a different path? \n  The specified path " + utils_1.color.underline("" + dir) + " is already taken.\n"),
        choices: decisions.map(function (option) { return ({
            name: option,
            message: decisionMap[option]
        }); })
    });
    return select.run();
};
exports.resolveOptions = function (_a) {
    var name = _a.name, dir = _a.dir;
    return tslib_1.__awaiter(void 0, void 0, void 0, function () {
        var shouldChooseDifferentPath, _b, projectName, projectDir;
        return tslib_1.__generator(this, function (_c) {
            switch (_c.label) {
                case 0:
                    _b = fs_extra_1.default.existsSync(dir);
                    if (!_b) return [3 /*break*/, 2];
                    return [4 /*yield*/, exports.chooseDifferentPathConfirmation(dir)];
                case 1:
                    _b = (_c.sent()) === 'Yes';
                    _c.label = 2;
                case 2:
                    shouldChooseDifferentPath = _b;
                    if (!shouldChooseDifferentPath) {
                        return [2 /*return*/, { projectDir: dir, projectName: name }];
                    }
                    return [4 /*yield*/, exports.getProjectName(name)];
                case 3:
                    projectName = _c.sent();
                    projectDir = path_1.default.resolve(projectName);
                    return [2 /*return*/, { projectName: projectName, projectDir: projectDir }];
            }
        });
    });
};
exports.getProjectName = function (name) { return tslib_1.__awaiter(void 0, void 0, void 0, function () {
    return tslib_1.__generator(this, function (_a) {
        return [2 /*return*/, scaffolding_helpers_1.preventFolderCollisions({
                basePath: process.cwd(),
                name: name,
                onPromptInitial: messages_1.newMessage.initial,
                onPromptMessage: function (unsafeName) {
                    return messages_1.newMessage.existsPrompt(path_1.default.resolve(unsafeName));
                }
            })];
    });
}); };
