"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.submodulesCheckoutBinCommand = void 0;
var tslib_1 = require("tslib");
var utils_1 = require("../../shared/utils");
var submodules_utils_1 = require("../../shared/utils/submodules.utils");
var messages_1 = require("../../shared/messages");
var submodules_checkout_helpers_1 = require("./submodules-checkout.helpers");
function submodulesCheckoutBinCommand(prog) {
    var _this = this;
    prog
        .command('submodules checkout <branch>')
        .describe('Checkout each submodule on the specific branch')
        .example('submodules checkout branch-name')
        .alias('sc')
        .option('s, self', 'Apply checkout for the host workspace')
        .example('submodules checkout branch-name --self')
        .action(function (branch, _a) {
        var self = _a.self;
        return tslib_1.__awaiter(_this, void 0, void 0, function () {
            var rootDir, locations, locations_1, locations_1_1, location, e_1_1;
            var e_1, _b;
            return tslib_1.__generator(this, function (_c) {
                switch (_c.label) {
                    case 0: return [4 /*yield*/, utils_1.findWorkspaceRootDir()];
                    case 1:
                        rootDir = _c.sent();
                        return [4 /*yield*/, submodules_utils_1.getSubmodulesLocations()];
                    case 2:
                        locations = _c.sent();
                        _c.label = 3;
                    case 3:
                        _c.trys.push([3, 8, 9, 10]);
                        locations_1 = tslib_1.__values(locations), locations_1_1 = locations_1.next();
                        _c.label = 4;
                    case 4:
                        if (!!locations_1_1.done) return [3 /*break*/, 7];
                        location = locations_1_1.value;
                        console.log(messages_1.submodulesMessage.entering(location));
                        return [4 /*yield*/, submodules_checkout_helpers_1.smartGitCheckout({ rootDir: rootDir, repoDir: location, branch: branch })];
                    case 5:
                        _c.sent();
                        utils_1.space();
                        _c.label = 6;
                    case 6:
                        locations_1_1 = locations_1.next();
                        return [3 /*break*/, 4];
                    case 7: return [3 /*break*/, 10];
                    case 8:
                        e_1_1 = _c.sent();
                        e_1 = { error: e_1_1 };
                        return [3 /*break*/, 10];
                    case 9:
                        try {
                            if (locations_1_1 && !locations_1_1.done && (_b = locations_1.return)) _b.call(locations_1);
                        }
                        finally { if (e_1) throw e_1.error; }
                        return [7 /*endfinally*/];
                    case 10:
                        if (!self) return [3 /*break*/, 12];
                        console.log(messages_1.submodulesMessage.entering('host'));
                        return [4 /*yield*/, submodules_checkout_helpers_1.smartGitCheckout({ rootDir: rootDir, branch: branch })];
                    case 11:
                        _c.sent();
                        utils_1.space();
                        _c.label = 12;
                    case 12: return [2 /*return*/];
                }
            });
        });
    });
}
exports.submodulesCheckoutBinCommand = submodulesCheckoutBinCommand;
