"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.exposeWorkspacesInfo = exports.withExcludedWorkspaces = void 0;
var tslib_1 = require("tslib");
var utils_1 = require("../../shared/utils");
exports.withExcludedWorkspaces = function (chunk, excluded) { return chunk.filter(function (name) { return !excluded.has(name); }); };
var handleUnprocessedWorkspaces = function (unprocessed) {
    console.log(utils_1.color.error("Potentially circular dependency\n      Please check the following packages attentively:\n      " + unprocessed.map(function (_a) {
        var _b;
        var _c = tslib_1.__read(_a, 2), name = _c[0], dependencies = _c[1];
        return "   " + name + "  =>  " + ((_b = dependencies === null || dependencies === void 0 ? void 0 : dependencies.join(', ')) !== null && _b !== void 0 ? _b : '');
    }).join("\n      ") + "\n      "));
};
exports.exposeWorkspacesInfo = function () { return tslib_1.__awaiter(void 0, void 0, void 0, function () {
    var packagesInfo, entries, packagesJsons, _a, chunks, unprocessed, info;
    return tslib_1.__generator(this, function (_b) {
        switch (_b.label) {
            case 0: return [4 /*yield*/, utils_1.getWorkspacesInfo()];
            case 1:
                packagesInfo = _b.sent();
                entries = packagesInfo.map(function (_a) {
                    var name = _a.name, location = _a.location;
                    return [name, location];
                });
                return [4 /*yield*/, utils_1.readWorkspacePackages(packagesInfo)];
            case 2:
                packagesJsons = _b.sent();
                _a = utils_1.splitWorkspacesIntoDependencyGraph(packagesJsons), chunks = _a.chunks, unprocessed = _a.unprocessed;
                info = {
                    chunks: chunks,
                    packagesLocationMap: Object.fromEntries(entries)
                };
                if (unprocessed.length > 0) {
                    handleUnprocessedWorkspaces(unprocessed);
                }
                return [2 /*return*/, info];
        }
    });
}); };
