"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.generateMessage = void 0;
var utils_1 = require("../utils");
exports.generateMessage = {
    copy: function (name) { return name + "-copy"; },
    successful: function (name) { return "Generated " + utils_1.color.info(name) + " package"; },
    generating: function (name) { return "Generating " + utils_1.color.info(name) + " package..."; },
    failed: function (name) { return "Failed to generate " + utils_1.color.error(name) + " package"; },
    successfulConfigure: function () { return 'The package successfully configured'; },
    failedConfigure: function () { return "Failed to fully configure the package"; },
    invalidTemplate: function (template) {
        return "Invalid template " + utils_1.color.error(template);
    },
    exists: function (name) {
        return "A folder named " + utils_1.color.error(name) + " already exists! " + utils_1.color.bold('Choose a different name');
    },
    preparingPackage: function (name, dependencies) {
        var pkgText = dependencies
            .map(function (pkg) { return "     " + utils_1.color.info(pkg); })
            .join('\n');
        var requiredText = "Preparing " + utils_1.color.info(name) + " package";
        return dependencies.length > 0
            ? requiredText + " with the following peer dependencies: \n" + pkgText + "\n"
            : requiredText;
    },
    preparedPackage: function (projectName) {
        var commands = {
            install: 're-space install',
            start: 're-space serve',
            build: 're-space build',
            test: 're-space test'
        };
        return "\n  " + utils_1.color.success('Awesome!') + " You're now ready to start coding.\n  \n  There is no need to run " + utils_1.color.info(commands.install) + ", since all peer dependencies are already in the workspace root\n  \n  So your next steps are:\n    " + utils_1.color.info("cd packages/" + projectName) + "\n  \n  To start developing (rebuilds the bundle on changes):\n    " + utils_1.color.info(commands.start) + "\n  \n  To build the bundle:\n    " + utils_1.color.info(commands.build) + "\n    \n  To test the package:\n    " + utils_1.color.info(commands.test) + "\n    \n  " + utils_1.color.highlight('Happy coding :)') + "\n  ";
    }
};
