"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serveMessage = void 0;
var tslib_1 = require("tslib");
var utils_1 = require("../utils");
var package_json_1 = tslib_1.__importDefault(require("../../../package.json"));
exports.serveMessage = {
    introduce: function () {
        return utils_1.color.underline(package_json_1.default.name + " v" + package_json_1.default.version);
    },
    watching: function () { return "\nWatching for changes..."; },
    compiling: function () { return "\n" + utils_1.color.info('Compiling modules...'); },
    failed: function () { return utils_1.color.error("Failed compilation"); },
    compiled: function (isFirstChange) {
        return utils_1.color.success((isFirstChange ? 'Compiled' : 'Recompiled') + " successfully.");
    },
    bundles: function (_a) {
        var source = _a.source, module = _a.module;
        return utils_1.color.info("Bundles " + source + " \u2192 " + module);
    },
    bundled: function (_a) {
        var isFirstChange = _a.isFirstChange, duration = _a.duration, module = _a.module;
        var _b = tslib_1.__read((duration / 1000).toString().split('.'), 2), s = _b[0], ms = _b[1];
        return utils_1.color.success((isFirstChange ? 'Created' : 'Updated') + " " + module + " in " + s + "." + ms.slice(0, 3) + "s.");
    }
};
