"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.workspacesMessage = void 0;
var tslib_1 = require("tslib");
var utils_1 = require("../utils");
var package_json_1 = tslib_1.__importDefault(require("../../../package.json"));
var startingTextByCommand = {
    build: 'Compiling',
    lint: 'Linting',
    serve: 'Start watching',
    test: 'Testing'
};
var finishingTextByCommand = {
    build: 'Compiled',
    lint: 'Linted',
    serve: 'Finished watching',
    test: 'Tested'
};
exports.workspacesMessage = {
    introduce: function () {
        return utils_1.color.underline(package_json_1.default.name + " v" + package_json_1.default.version);
    },
    running: function (name) { return utils_1.color.details("Running " + name); },
    started: function (cmd) { return "\n" + utils_1.color.info(startingTextByCommand[cmd] + " modules..."); },
    finished: function (cmd, name) {
        return utils_1.color.success(finishingTextByCommand[cmd] + " " + name);
    },
    failed: function () { return utils_1.color.error("Failed to compile workspaces"); },
    successful: function (_a) {
        var _b = tslib_1.__read(_a, 2), s = _b[0], ms = _b[1];
        return utils_1.color.success('Done in ') +
            utils_1.color.highlight(s + "." + ms.toString().slice(0, 3) + "s.");
    }
};
