"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var dataStructures_utils_1 = require("./dataStructures.utils");
describe('[utils.dataStructures]', function () {
    describe('convertStringArrayIntoMap', function () {
        test('should return empty map with undefined', function () {
            expect(dataStructures_utils_1.convertStringArrayIntoMap()).toEqual(new Map());
        });
        test('should return empty map with empty char', function () {
            expect(dataStructures_utils_1.convertStringArrayIntoMap('')).toEqual(new Map());
        });
        test('should return empty map with empty string', function () {
            expect(dataStructures_utils_1.convertStringArrayIntoMap('    ')).toEqual(new Map());
        });
        test('should return map when with one value which equals true', function () {
            var map = new Map();
            map.set('first', true);
            expect(dataStructures_utils_1.convertStringArrayIntoMap('first')).toEqual(map);
        });
        test('should return map with empty chars on the sides', function () {
            expect(dataStructures_utils_1.convertStringArrayIntoMap('  first   ')).toEqual(new Map([['first', true]]));
        });
        test('should return map with empty chars', function () {
            expect(dataStructures_utils_1.convertStringArrayIntoMap('  first,  second   ')).toEqual(new Map([
                ['first', true],
                ['second', true]
            ]));
        });
        test('should return map with three array strings inside one string', function () {
            expect(dataStructures_utils_1.convertStringArrayIntoMap('first,second,third')).toEqual(new Map([
                ['first', true],
                ['second', true],
                ['third', true]
            ]));
        });
    });
});
