"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.teardownStage = exports.setupStage = void 0;
var tslib_1 = require("tslib");
var path = tslib_1.__importStar(require("path"));
var shell = tslib_1.__importStar(require("shelljs"));
shell.config.silent = true;
var ROOT_DIR = process.cwd();
var STAGING_PATH = path.join(ROOT_DIR, 'test', '.staging');
var getStageName = function (fixtureName) { return "stage-" + fixtureName; };
function setupStage(testDir, fixtureName, templateName) {
    var stagePath = path.join(STAGING_PATH, getStageName(fixtureName));
    shell.mkdir(stagePath);
    shell.exec("cp -a " + ROOT_DIR + "/test/" + testDir + "/fixtures/" + (templateName || fixtureName) + "/. " + stagePath + "/");
    shell.ln('-s', path.join(ROOT_DIR, 'node_modules'), path.join(stagePath, 'node_modules'));
    shell.cd(stagePath);
}
exports.setupStage = setupStage;
function teardownStage(fixtureName) {
    shell.cd(ROOT_DIR);
    shell.rm('-rf', path.join(STAGING_PATH, getStageName(fixtureName)));
}
exports.teardownStage = teardownStage;
